Package org.gradle.api.plugins

# Interface AppliedPlugin

@Incubating public interface AppliedPlugin
Represents a plugin that has been applied.

Currently just provides information about the ID of the plugin.

Since:
  2.3
See Also:
  - `PluginAware`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
The ID of the plugin.
`String`
`getName()`
The name of the plugin.
`String`
`getNamespace()`
The namespace of the plugin.

## Method Details

### getId

String getId()
The ID of the plugin.

An example of a plugin ID would be `"org.gradle.java"`. This method always returns the fully qualified ID, regardless of whether the fully qualified ID was used to apply the plugin or not.

This value is guaranteed to be unique, for a given `PluginAware`.

Returns:
  the ID of the plugin

### getNamespace

@Nullable String getNamespace()
The namespace of the plugin.

An example of a plugin namespace would be `"org.gradle"` for the plugin with ID `"org.gradle.java"`. This method always returns the namespace, regardless of whether the fully qualified ID was used to apply the plugin or not.

If the plugin has an unqualified ID, this method will return `null`.

Returns:
  the namespace of the plugin

### getName

String getName()
The name of the plugin.

An example of a plugin name would be `"java"` for the plugin with ID `"org.gradle.java"`. This method always returns the name, regardless of whether the fully qualified ID was used to apply the plugin or not.

If the plugin has an unqualified ID, this method will return the same value as `getId()`.

Returns:
  the name of the plugin